# GameMode_DeathMatch
This is a GameMode Add-On for the indie game Blockland.

Blockland is an online multiplayer game where you build things with bricks.
It's like playing with legos on the internet.
More info: http://blockland.us/

The aim of the gamemode is to provide a classic/fast/action/arcade/default/doom style experience, while being as plug and play and expandable as the default SpeedKart gamemode.

Many of the gamemode's features can be controlled with preferences that can be changed ingame through server commands or a preferences editing mod, like Return to Blockland or Support_Preferences. Get started by typing /help ingame.

# File structure
./core/
- This directory contains the core functioning files required for the gamemode to run and play as it does. Without this, there would be no gamemode to play in any condition.
	
./custom/
- This directory contains custom made add-on files that have been made for the gamemode or with the gamemode in mind. Assets or coding for datablocks are contained here.
- These have better potential into being made standalone add-ons, or already are.
	
./addons/
- This directory contains integrated add-on files which have been modified for use within this gamemode.
	
./server.cs
- This file is required for the gamemode to run, and the gamemode itself is listed in the gamemode.txt which executes this file as a result.

# Contributing
The gamemode is at a "completed" state, but you can still help by fixing bugs or adding some quality-of-life features. Feel free to create pull requests and we'll take a look at it!

This gamemode does have a style in mind, and there is some balancing in place, so be sure to keep these in mind.

# License
This gamemode is published under GNU General Public License 3.0.

In short:

- You can make any changes you want to this gamemode.

- You must state what changes you made and provide the source.

- We are not responsible for anything once you make those changes.

# Links
Blockland Forums Topic: https://forum.blockland.us/index.php?topic=302513.0

NexusMods Page: http://www.nexusmods.com/blockland/mods/35

Blockland Glass Page: https://blocklandglass.com/addons/addon.php?id=479

Stable Download: http://piber20.com/d/bl/GameMode_DeathMatch.zip

Stable Musicless Download: http://piber20.com/d/bl/e/GameMode_DeathMatch.zip

Music Download: http://piber20.com/d/bl/m/dmmusic.zip

Maps: http://piber20.com/d/bl/DeathMatchOfficialMaps.zip

Maps Repository: https://github.com/piber20/BL-DM-Maps

Discord: https://discord.gg/Xhu2ktM

DeathMatch Lite Version: https://github.com/piber20/BL-DM-Lite
