datablock ItemData(blockheadKitItem : blueCloakItem)
{
	uiName = "Blockhead Kit";
	colorShiftColor = "0.7 0.7 0.0 1.000";
	image = blockheadKitImage;
};

datablock ShapeBaseImageData(blockheadKitImage : blueCloakImage)
{
	item = blockheadKitItem;
	colorShiftColor = blockheadKitItem.colorShiftColor;
};

function blockheadKitImage::onFire(%this, %obj, %slot)
{
	if(%obj.getClassName() $= "Player")
	{
		%s = %obj.currTool;
		%obj.tool[%s] = 0;
		%obj.weaponCount--;
		
		%data = %obj.getDatablock();
		%model = fileName(%data.shapeFile);
		if(%model !$= "m.dts")
			%obj.setDataBlock(PlayerNoJet);

		if(isObject(%obj.client))
			%obj.client.applyBodyColors();

		if(%obj.getObjectMount())
			%obj.getDataBlock().doDismount(%obj);
		
		%obj.setscale("1 1 1");
		
		%obj.client.centerPrint("\c2You are now a Blockhead!", 2);
		messageClient(%obj.client, 'MsgItemPickup', '', %s , 0);
		serverCmdUnUseTool(%obj.client);
	}
}