function isMissingDMMusic(%path)
{
	%noMusic = false;
	
	if(!isfile(%path @ "DOOM_-_At_Doom's_Gate.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "GOLDENEYE_-_Dam.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "INCOMPETECH_-_Clash_Defiant.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "INCOMPETECH_-_Corruption.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "INCOMPETECH_-_Curse_of_the_Scarab.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "INCOMPETECH_-_Five_Armies.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "ROBLOX_-_The_Great_Strategy.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "ROBLOX_-_Wind_Of_Fjords.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "INCOMPETECH_-_In_a_Heartbeat.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "ROBLOX_-_Iron_Blades.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "HALF-LIFE_-_Diabolical_Adrenaline_Guitar.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "INCOMPETECH_-_Club_Diver.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "INCOMPETECH_-_Crunk_Knight.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "INCOMPETECH_-_Disco_Lounge.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "INCOMPETECH_-_Hitman.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "INCOMPETECH_-_Professor_Umlaut.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "INCOMPETECH_-_Exit_the_Premises.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "DOOM_-_Deep_Into_the_Code.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "DOOM_2_-_Running_from_Evil.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "HALF-LIFE_2_-_Apprehension_and_Evasion.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "HALF-LIFE_2_-_Dark_Energy.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "FALLOUT_3_-_Battle_05.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "FALLOUT_3_-_Tension_01.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "FALLOUT_NEW_VEGAS_-_Dungeon_8_High.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "FESTER'S_QUEST_-_Outside.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "STARTROPICS_2_-_Boss_01.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "STARTROPICS_2_-_Dungeon_06.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "INCOMPETECH_-_Industrial_Cinematic.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "PAYDAY_2_-_Black_Yellow_Moebius.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "PAYDAY_2_-_Calling_All_Units.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "PAYDAY_2_-_Fuse_Box.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "PAYDAY_2_-_Tick_Tock.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "PAYDAY_2_-_Time_Window.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "PAYDAY_THE_HEIST_-_Double_Crossed.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "ROBLOX_-_Explore_ROBLOX.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "ROBLOX_-_Online_Social_Hangout.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "DOOM_-_Kitchen_Ace.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "DOOM_-_Facing_the_Spider.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "BINDING_OF_ISAAC_ANTIBIRTH_-_Tandava.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "BINDING_OF_ISAAC_WOTL_-_Crusade.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "BINDING_OF_ISAAC_-_Divine_Combat.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "BINDING_OF_ISAAC_AFTERBIRTH_-_Chorus_Mortis.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "INCOMPETECH_-_The_Lift.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "INCOMPETECH_-_Rhinoceros.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "INCOMPETECH_-_Harmful_or_Fatal.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "INCOMPETECH_-_Darkling.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "HOTLINE_MIAMI_2_WRONG_NUMBER_-_Technoir.ogg"))
		%noMusic = true;
	if(!isfile(%path @ "HOTLINE_MIAMI_-_Musik_2.ogg"))
		%noMusic = true;
	
	return %noMusic;
}

$DM::IsMusicless = false;
%musicPath = $Pref::Server::DeathMatch::CustomMusicPath;
if(isMissingDMMusic(%musicPath))
{
	echo("Server couldn't find the music in \"" @ %musicPath @ "\". Checking default path...");
	%musicPath = "Add-Ons/Music/";
	if(isMissingDMMusic(%musicPath))
	{
		echo("Server appears to be missing some music files. Entering MUSICLESS mode.");
		$DM::IsMusicless = true;
	}
	else
	{
		echo("Found the music files!");
		$DM::IsMusicless = false;
	}
}

if($DM::IsMusicless == false)
{
	//ALL THE MUSIC DATABLOCKS
	datablock AudioProfile(musicData_DOOM_DASH_At_DoomAPOSs_Gate)
	{
		filename = %musicPath @ "DOOM_-_At_Doom's_Gate.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "DOOM - At Doom's Gate";
	};

	datablock AudioProfile(musicData_GOLDENEYE_DASH_Dam)
	{
		filename = %musicPath @ "GOLDENEYE_-_Dam.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "GOLDENEYE - Dam";
	};

	datablock AudioProfile(musicData_INCOMPETECH_DASH_Clash_Defiant)
	{
		filename = %musicPath @ "INCOMPETECH_-_Clash_Defiant.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "INCOMPETECH - Clash Defiant";
	};

	datablock AudioProfile(musicData_INCOMPETECH_DASH_Corruption)
	{
		filename = %musicPath @ "INCOMPETECH_-_Corruption.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "INCOMPETECH - Corruption";
	};

	datablock AudioProfile(musicData_INCOMPETECH_DASH_Curse_of_the_Scarab)
	{
		filename = %musicPath @ "INCOMPETECH_-_Curse_of_the_Scarab.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "INCOMPETECH - Curse of the Scarab";
	};

	datablock AudioProfile(musicData_INCOMPETECH_DASH_Five_Armies)
	{
		filename = %musicPath @ "INCOMPETECH_-_Five_Armies.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "INCOMPETECH - Five Armies";
	};

	datablock AudioProfile(musicData_ROBLOX_DASH_The_Great_Strategy)
	{
		filename = %musicPath @ "ROBLOX_-_The_Great_Strategy.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "ROBLOX _ The Great Strategy";
	};

	datablock AudioProfile(musicData_ROBLOX_DASH_Wind_Of_Fjords)
	{
		filename = %musicPath @ "ROBLOX_-_Wind_Of_Fjords.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "ROBLOX - Wind Of Fjords";
	};

	datablock AudioProfile(musicData_INCOMPETECH_DASH_In_a_Heartbeat)
	{
		filename = %musicPath @ "INCOMPETECH_-_In_a_Heartbeat.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "INCOMPETECH - In a Heartbeat";
	};

	datablock AudioProfile(musicData_ROBLOX_DASH_Iron_Blades)
	{
		filename = %musicPath @ "ROBLOX_-_Iron_Blades.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "ROBLOX - Iron Blades";
	};

	datablock AudioProfile(musicData_HALFDASHLIFE_DASH_Diabolical_Adrenaline_Guitar)
	{
		filename = %musicPath @ "HALF-LIFE_-_Diabolical_Adrenaline_Guitar.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "HALF-LIFE - Diabolical Adrenaline Guitar";
	};

	datablock AudioProfile(musicData_INCOMPETECH_DASH_Club_Diver)
	{
		filename = %musicPath @ "INCOMPETECH_-_Club_Diver.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "INCOMPETECH - Club Diver";
	};

	datablock AudioProfile(musicData_INCOMPETECH_DASH_Crunk_Knight)
	{
		filename = %musicPath @ "INCOMPETECH_-_Crunk_Knight.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "INCOMPETECH - Crunk Knight";
	};

	datablock AudioProfile(musicData_INCOMPETECH_DASH_Disco_Lounge)
	{
		filename = %musicPath @ "INCOMPETECH_-_Disco_Lounge.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "INCOMPETECH - Disco Lounge";
	};

	datablock AudioProfile(musicData_INCOMPETECH_DASH_Hitman)
	{
		filename = %musicPath @ "INCOMPETECH_-_Hitman.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "INCOMPETECH - Hitman";
	};

	datablock AudioProfile(musicData_INCOMPETECH_DASH_Professor_Umlaut)
	{
		filename = %musicPath @ "INCOMPETECH_-_Professor_Umlaut.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "INCOMPETECH - Professor Umlaut";
	};

	datablock AudioProfile(musicData_INCOMPETECH_DASH_Exit_the_Premises)
	{
		filename = %musicPath @ "INCOMPETECH_-_Exit_the_Premises.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "INCOMPETECH - Exit the Premises";
	};

	datablock AudioProfile(musicData_DOOM_DASH_Deep_Into_the_Code)
	{
		filename = %musicPath @ "DOOM_-_Deep_Into_the_Code.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "DOOM - Deep Into the Code";
	};

	datablock AudioProfile(musicData_DOOM_2_DASH_Running_from_Evil)
	{
		filename = %musicPath @ "DOOM_2_-_Running_from_Evil.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "DOOM 2 - Running from Evil";
	};

	datablock AudioProfile(musicData_HALFDASHLIFE_2_DASH_Apprehension_and_Evasion)
	{
		filename = %musicPath @ "HALF-LIFE_2_-_Apprehension_and_Evasion.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "HALF-LIFE 2 - Apprehension and Evasion";
	};

	datablock AudioProfile(musicData_HALFDASHLIFE_2_DASH_Dark_Energy)
	{
		filename = %musicPath @ "HALF-LIFE_2_-_Dark_Energy.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "HALF-LIFE 2 - Dark Energy";
	};

	datablock AudioProfile(musicData_FALLOUT_3_DASH_Battle_05)
	{
		filename = %musicPath @ "FALLOUT_3_-_Battle_05.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "FALLOUT 3 - Battle 05";
	};

	datablock AudioProfile(musicData_FALLOUT_3_DASH_Tension_01)
	{
		filename = %musicPath @ "FALLOUT_3_-_Tension_01.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "FALLOUT 3 - Tension 01";
	};

	datablock AudioProfile(musicData_FALLOUT_NEW_VEGAS_DASH_Dungeon_8_High)
	{
		filename = %musicPath @ "FALLOUT_NEW_VEGAS_-_Dungeon_8_High.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "FALLOUT NEW VEGAS - Dungeon 8 High";
	};

	datablock AudioProfile(musicData_FESTERAPOSS_QUEST_DASH_Outside)
	{
		filename = %musicPath @ "FESTER'S_QUEST_-_Outside.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "FESTER'S QUEST - Outside";
	};

	datablock AudioProfile(musicData_STARTROPICS_2_DASH_Boss_01)
	{
		filename = %musicPath @ "STARTROPICS_2_-_Boss_01.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "STARTROPICS 2 - Boss 01";
	};

	datablock AudioProfile(musicData_STARTROPICS_2_DASH_Dungeon_06)
	{
		filename = %musicPath @ "STARTROPICS_2_-_Dungeon_06.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "STARTROPICS 2 - Dungeon 06";
	};

	datablock AudioProfile(musicData_INCOMPETECH_DASH_Industrial_Cinematic)
	{
		filename = %musicPath @ "INCOMPETECH_-_Industrial_Cinematic.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "INCOMPETECH - Industrial Cinematic";
	};

	datablock AudioProfile(musicData_PAYDAY_2_DASH_Black_Yellow_Moebius)
	{
		filename = %musicPath @ "PAYDAY_2_-_Black_Yellow_Moebius.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "PAYDAY 2 - Black Yellow Moebius";
	};

	datablock AudioProfile(musicData_PAYDAY_2_DASH_Calling_All_Units)
	{
		filename = %musicPath @ "PAYDAY_2_-_Calling_All_Units.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "PAYDAY 2 - Calling All Units";
	};

	datablock AudioProfile(musicData_PAYDAY_2_DASH_Fuse_Box)
	{
		filename = %musicPath @ "PAYDAY_2_-_Fuse_Box.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "PAYDAY 2 - Fuse Box";
	};

	datablock AudioProfile(musicData_PAYDAY_2_DASH_Tick_Tock)
	{
		filename = %musicPath @ "PAYDAY_2_-_Tick_Tock.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "PAYDAY 2 - Tick Tock";
	};

	datablock AudioProfile(musicData_PAYDAY_2_DASH_Time_Window)
	{
		filename = %musicPath @ "PAYDAY_2_-_Time_Window.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "PAYDAY 2 - Time Window";
	};

	datablock AudioProfile(musicData_PAYDAY_THE_HEIST_DASH_Double_Crossed)
	{
		filename = %musicPath @ "PAYDAY_THE_HEIST_-_Double_Crossed.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "PAYDAY THE HEIST - Double Crossed";
	};

	datablock AudioProfile(musicData_ROBLOX_DASH_Explore_ROBLOX)
	{
		filename = %musicPath @ "ROBLOX_-_Explore_ROBLOX.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "ROBLOX - Explore ROBLOX";
	};

	datablock AudioProfile(musicData_ROBLOX_DASH_Online_Social_Hangout)
	{
		filename = %musicPath @ "ROBLOX_-_Online_Social_Hangout.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "ROBLOX - Online Social Hangout";
	};

	datablock AudioProfile(musicData_DOOM_DASH_Kitchen_Ace)
	{
		filename = %musicPath @ "DOOM_-_Kitchen_Ace.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "DOOM - Kitchen Ace";
	};

	datablock AudioProfile(musicData_DOOM_DASH_Facing_the_Spider)
	{
		filename = %musicPath @ "DOOM_-_Facing_the_Spider.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "DOOM - Facing the Spider";
	};

	datablock AudioProfile(musicData_BINDING_OF_ISAAC_ANTIBIRTH_DASH_Tandava)
	{
		filename = %musicPath @ "BINDING_OF_ISAAC_ANTIBIRTH_-_Tandava.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "BINDING OF ISAAC ANTIBIRTH - Tandava";
	};

	datablock AudioProfile(musicData_BINDING_OF_ISAAC_WOTL_DASH_Crusade)
	{
		filename = %musicPath @ "BINDING_OF_ISAAC_WOTL_-_Crusade.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "BINDING OF ISAAC WOTL - Crusade";
	};

	datablock AudioProfile(musicData_BINDING_OF_ISAAC_DASH_Divine_Combat)
	{
		filename = %musicPath @ "BINDING_OF_ISAAC_-_Divine_Combat.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "BINDING OF ISAAC - Divine Combat";
	};

	datablock AudioProfile(musicData_BINDING_OF_ISAAC_AFTERBIRTH_DASH_Chorus_Mortis)
	{
		filename = %musicPath @ "BINDING_OF_ISAAC_AFTERBIRTH_-_Chorus_Mortis.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "BINDING OF ISAAC AFTERBIRTH - Chorus Mortis";
	};

	datablock AudioProfile(musicData_INCOMPETECH_DASH_The_Lift)
	{
		filename = %musicPath @ "INCOMPETECH_-_The_Lift.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "INCOMPETECH - The Lift";
	};

	datablock AudioProfile(musicData_INCOMPETECH_DASH_Rhinoceros)
	{
		filename = %musicPath @ "INCOMPETECH_-_Rhinoceros.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "INCOMPETECH - Rhinoceros";
	};

	datablock AudioProfile(musicData_INCOMPETECH_DASH_Harmful_or_Fatal)
	{
		filename = %musicPath @ "INCOMPETECH_-_Harmful_or_Fatal.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "INCOMPETECH - Harmful or Fatal";
	};

	datablock AudioProfile(musicData_INCOMPETECH_DASH_Darkling)
	{
		filename = %musicPath @ "INCOMPETECH_-_Darkling.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "INCOMPETECH - Darkling";
	};

	datablock AudioProfile(musicData_HOTLINE_MIAMI_2_WRONG_NUMBER_DASH_Technoir)
	{
		filename = %musicPath @ "HOTLINE_MIAMI_2_WRONG_NUMBER_-_Technoir.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "HOTLINE MIAMI 2 WRONG NUMBER - Technoir";
	};

	datablock AudioProfile(musicData_HOTLINE_MIAMI_DASH_Musik_2)
	{
		filename = %musicPath @ "HOTLINE_MIAMI_-_Musik_2.ogg";
		description = AudioMusicLooping3d;
		preload = true;
		uiName = "HOTLINE MIAMI - Musik 2";
	};
}

//function to play a song
function DM_PlaySong()
{
	if($DM::MapMusic !$= "" && ($DM::ResetCount == 1 || $DM::MapMusicAll))
	{
		%play = "musicData_" @ $DM::MapMusic;
		%play = strReplace(%play, " ", "_");
		%play = strReplace(%play, "-", "DASH");
		%play = strReplace(%play, "'", "APOS");
		
		SM_PlaySong("", %play);
	}
	else
	{
		%theme = $DM::MapTheme[$DM::CurrentMap];
		%mapHasMusic = 0;
		if($DM::MapMusic !$= "")
			%mapHasMusic = 1;
		
		%music[1] = "DOOM_-_At_Doom's_Gate";
		%music[2] = "GOLDENEYE_-_Dam";
		%music[3] = "INCOMPETECH_-_Clash_Defiant";
		%music[4] = "INCOMPETECH_-_Corruption";
		%music[5] = "INCOMPETECH_-_Curse_of_the_Scarab";
		%music[6] = "INCOMPETECH_-_Five_Armies";
		%music[7] = "ROBLOX_-_The_Great_Strategy";
		%music[8] = "ROBLOX_-_Wind_Of_Fjords";
		%music[9] = "INCOMPETECH_-_In_a_Heartbeat";
		%music[10] = "ROBLOX_-_Iron_Blades";
		%music[11] = "HALF-LIFE_-_Diabolical_Adrenaline_Guitar";
		%music[12] = "INCOMPETECH_-_Club_Diver";
		%music[13] = "INCOMPETECH_-_Crunk_Knight";
		%music[14] = "INCOMPETECH_-_Disco_Lounge";
		%music[15] = "INCOMPETECH_-_Hitman";
		%music[16] = "INCOMPETECH_-_Professor_Umlaut";
		%music[17] = "INCOMPETECH_-_Exit_the_Premises";
		%music[18] = "DOOM_-_Deep_Into_the_Code";
		%music[19] = "DOOM_2_-_Running_from_Evil";
		%music[20] = "HALF-LIFE_2_-_Apprehension_and_Evasion";
		%music[21] = "HALF-LIFE_2_-_Dark_Energy";
		%music[22] = "FALLOUT_3_-_Battle_05";
		%music[23] = "FALLOUT_3_-_Tension_01";
		%music[24] = "FALLOUT_NEW_VEGAS_-_Dungeon_8_High";
		%music[25] = "FESTER'S_QUEST_-_Outside";
		%music[26] = "STARTROPICS_2_-_Boss_01";
		%music[27] = "STARTROPICS_2_-_Dungeon_06";
		%music[28] = "INCOMPETECH_-_Industrial_Cinematic";
		%music[29] = "PAYDAY_2_-_Black_Yellow_Moebius";
		%music[30] = "PAYDAY_2_-_Calling_All_Units";
		%music[31] = "PAYDAY_2_-_Fuse_Box";
		%music[32] = "PAYDAY_2_-_Tick_Tock";
		%music[33] = "PAYDAY_2_-_Time_Window";
		%music[34] = "PAYDAY_THE_HEIST_-_Double_Crossed";
		%music[35] = "ROBLOX_-_Explore_ROBLOX";
		%music[36] = "ROBLOX_-_Online_Social_Hangout";
		%music[37] = "DOOM_-_Kitchen_Ace";
		%music[38] = "DOOM_-_Facing_the_Spider";
		%music[39] = "BINDING_OF_ISAAC_ANTIBIRTH_-_Tandava";
		%music[40] = "BINDING_OF_ISAAC_WOTL_-_Crusade";
		%music[41] = "BINDING_OF_ISAAC_-_Divine_Combat";
		%music[42] = "BINDING_OF_ISAAC_AFTERBIRTH_-_Chorus_Mortis";
		%music[43] = "INCOMPETECH_-_The_Lift";
		%music[44] = "INCOMPETECH_-_Rhinoceros";
		%music[45] = "INCOMPETECH_-_Harmful_or_Fatal";
		%music[46] = "INCOMPETECH_-_Darkling";
		%music[47] = "HOTLINE_MIAMI_2_WRONG_NUMBER_-_Technoir";
		%music[48] = "HOTLINE_MIAMI_-_Musik_2";
		
		%random = getRandom(1 - %mapHasMusic, 48); //will apply to unknown themes or if the host disabled themed music
		if($Pref::Server::DeathMatch::MusicMatchesTheme)
		{
			if(%theme $= "Facility" || %theme $= "Base" || %theme $= "Military")
			{
				%random = getRandom(1 - %mapHasMusic, 18);
				if(%random == 1)
					%random = 4;
				else if(%random == 2)
					%random = 2;
				else if(%random == 3)
					%random = 1;
				else if(%random == 4)
					%random = 9;
				else if(%random == 5)
					%random = 11;
				else if(%random == 6)
					%random = 18;
				else if(%random == 7)
					%random = 19;
				else if(%random == 8)
					%random = 24;
				else if(%random == 9)
					%random = 30;
				else if(%random == 10)
					%random = 31;
				else if(%random == 11)
					%random = 32;
				else if(%random == 12)
					%random = 33;
				else if(%random == 13)
					%random = 34;
				else if(%random == 14)
					%random = 36;
				else if(%random == 15)
					%random = 37;
				else if(%random == 16)
					%random = 38;
				else if(%random == 17)
					%random = 45;
				else if(%random == 18)
					%random = 47;
			}
			else if(%theme $= "Lava" || %theme $= "Hell")
			{
				%random = getRandom(1 - %mapHasMusic, 13);
				if(%random == 1)
					%random = 3;
				else if(%random == 2)
					%random = 4;
				else if(%random == 3)
					%random = 6;
				else if(%random == 4)
					%random = 8;
				else if(%random == 5)
					%random = 10;
				else if(%random == 6)
					%random = 15;
				else if(%random == 7)
					%random = 22;
				else if(%random == 8)
					%random = 23;
				else if(%random == 9)
					%random = 39;
				else if(%random == 10)
					%random = 40;
				else if(%random == 11)
					%random = 41;
				else if(%random == 12)
					%random = 42;
				else if(%random == 13)
					%random = 46;
			}
			else if(%theme $= "Pirate" || %theme $= "Island" || %theme $= "Ocean" || %theme $= "Ship" || %theme $= "Sea")
			{
				%random = getRandom(1 - %mapHasMusic, 7);
				if(%random == 1)
					%random = 3;
				else if(%random == 2)
					%random = 4;
				else if(%random == 3)
					%random = 5;
				else if(%random == 4)
					%random = 13;
				else if(%random == 5)
					%random = 16;
				else if(%random == 6)
					%random = 23;
				else if(%random == 7)
					%random = 46;
			}
			else if(%theme $= "Urban" || %theme $= "City" || %theme $= "Town" || %theme $= "Modern")
			{
				%random = getRandom(1 - %mapHasMusic, 21);
				if(%random == 1)
					%random = 4;
				else if(%random == 2)
					%random = 9;
				else if(%random == 3)
					%random = 11;
				else if(%random == 4)
					%random = 12;
				else if(%random == 5)
					%random = 14;
				else if(%random == 6)
					%random = 15;
				else if(%random == 7)
					%random = 17;
				else if(%random == 8)
					%random = 20;
				else if(%random == 9)
					%random = 21;
				else if(%random == 10)
					%random = 24;
				else if(%random == 11)
					%random = 25;
				else if(%random == 12)
					%random = 29;
				else if(%random == 13)
					%random = 30;
				else if(%random == 14)
					%random = 31;
				else if(%random == 15)
					%random = 32;
				else if(%random == 16)
					%random = 33;
				else if(%random == 17)
					%random = 34;
				else if(%random == 18)
					%random = 35;
				else if(%random == 19)
					%random = 36;
				else if(%random == 20)
					%random = 45;
				else if(%random == 21)
					%random = 47;
			}
			else if(%theme $= "Medieval" || %theme $= "Fantasy")
			{
				%random = getRandom(1 - %mapHasMusic, 6);
				if(%random == 1)
					%random = 4;
				else if(%random == 2)
					%random = 5;
				else if(%random == 3)
					%random = 6;
				else if(%random == 4)
					%random = 22;
				else if(%random == 5)
					%random = 23;
				else if(%random == 6)
					%random = 46;
			}//note: when map themes are loaded underscores are replaced with spaces and saved in the pref. spaces are okay to look for here
			else if(%theme $= "Egypt" || %theme $= "Desert" || %theme $= "Wasteland" || %theme $= "Wild West" || %theme $= "Cowboy")
			{
				%random = getRandom(1 - %mapHasMusic, 7);
				if(%random == 1)
					%random = 5;
				else if(%random == 2)
					%random = 6;
				else if(%random == 3)
					%random = 13;
				else if(%random == 4)
					%random = 23;
				else if(%random == 5)
					%random = 28;
				else if(%random == 6)
					%random = 29;
				else if(%random == 7)
					%random = 24;
			}
			else if(%theme $= "Spooky" || %theme $= "Halloween")
			{
				%random = getRandom(1 - %mapHasMusic, 11);
				if(%random == 1)
					%random = 4;
				else if(%random == 2)
					%random = 14;
				else if(%random == 3)
					%random = 15;
				else if(%random == 4)
					%random = 16;
				else if(%random == 5)
					%random = 21;
				else if(%random == 6)
					%random = 24;
				else if(%random == 7)
					%random = 25;
				else if(%random == 8)
					%random = 26;
				else if(%random == 9)
					%random = 27;
				else if(%random == 10)
					%random = 30;
				else if(%random == 11)
					%random = 46;
			}
			else if(%theme $= "Space" || %theme $= "Space Ship" || %theme $= "Galactic" || %theme $= "Science" || %theme $= "Futuristic")
			{
				%random = getRandom(1 - %mapHasMusic, 15);
				if(%random == 1)
					%random = 20;
				else if(%random == 2)
					%random = 21;
				else if(%random == 3)
					%random = 12;
				else if(%random == 4)
					%random = 4;
				else if(%random == 5)
					%random = 14;
				else if(%random == 6)
					%random = 17;
				else if(%random == 7)
					%random = 15;
				else if(%random == 8)
					%random = 29;
				else if(%random == 9)
					%random = 30;
				else if(%random == 10)
					%random = 31;
				else if(%random == 11)
					%random = 32;
				else if(%random == 12)
					%random = 43;
				else if(%random == 13)
					%random = 44;
				else if(%random == 14)
					%random = 45;
				else if(%random == 15)
					%random = 47;
				else if(%random == 16)
					%random = 48;
			}
			else if(%theme $= "Ice" || %theme $= "Icy" || %theme $= "Winter" || %theme $= "Christmas" || %theme $= "Snow")
			{
				%random = getRandom(1 - %mapHasMusic, 8);
				if(%random == 1)
					%random = 3;
				else if(%random == 2)
					%random = 4;
				else if(%random == 3)
					%random = 8;
				else if(%random == 4)
					%random = 14;
				else if(%random == 5)
					%random = 15;
				else if(%random == 6)
					%random = 17;
				else if(%random == 7)
					%random = 21;
				else if(%random == 8)
					%random = 28;
			}
		}
		
		if(%random == 0)
			%music = $DM::MapMusic;
		else
			%music = %music[%random];
		
		%play = "musicData_" @ %music;
		%play = strReplace(%play, "-", "DASH");
		%play = strReplace(%play, "'", "APOS");
		
		SM_PlaySong("", %play);
	}
}