//custom
exec("./crouchjump.cs");
exec("./playertypes.cs");
exec("./adminalert.cs");
exec("./puller.cs");

exec("./toolweapons/hammer.cs");
exec("./toolweapons/wrench.cs");
exec("./toolweapons/printer.cs");
exec("./toolweapons/package.cs");

exec("./projectileweapons/cannonl.cs");
exec("./projectileweapons/ponggun.cs");
exec("./projectileweapons/pinballl.cs");
exec("./projectileweapons/slowrocket.cs");

exec("./rays/chickenray.cs");

exec("./rays/horseshotgun.cs");
exec("./rays/shrinkshotgun.cs");
exec("./rays/antishrinkshotgun.cs");
exec("./rays/chickenshotgun.cs");

exec("./kits/shrinkKit.cs");
exec("./kits/growKit.cs");
exec("./kits/healthKit.cs");
exec("./kits/shieldKit.cs");
exec("./kits/blockheadKit.cs");
exec("./kits/bouncyKit.cs");

exec("./keys/package.cs");

//this is stuff made by me, most specifically for the gamemode.

package GameModeDeathMatchSupportEdits
{
	function GameConnection::savePersistence(%client)
	{
		return;
	}
	
	function GameConnection::loadPersistence(%client)
	{
		return;
	}
	
	function GameConnection::applyPersistence(%client, %gotPlayer, %gotCamera)
	{
		return;
	}
	
	function spearImage::onAbortCharge(%this, %obj, %slot) //this should allow you to fire a less accurate spear if you abort the charge. based on butterfly knife.
	{
		%obj.playthread(2, spearThrow);
		
		%projectile = spearProjectile;
		%spread = 0.1;
		%shellcount = 1;
		serverPlay3D(spearFireSound, %obj.getPosition());
		
		for(%shell=0; %shell<%shellcount; %shell++)
		{
			%vector = %obj.getMuzzleVector(%slot);
			%objectVelocity = %obj.getVelocity();
			%vector1 = VectorScale(%vector, (%projectile.muzzleVelocity * 0.2));
			%vector2 = VectorScale(%objectVelocity, %projectile.velInheritFactor);
			%velocity = VectorAdd(%vector1,%vector2);
			%x = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
			%y = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
			%z = (getRandom() - 0.5) * 2 * 3.1415926 * %spread;
			%mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);
			%velocity = MatrixMulVector(%mat, %velocity);

			%p = new (%this.projectileType)()
			{
				dataBlock = %projectile;
				initialVelocity = %velocity;
				initialPosition = %obj.getMuzzlePoint(%slot);
				sourceObject = %obj;
				sourceSlot = %slot;
				client = %obj.client;
			};
			MissionCleanup.add(%p);
		}
		return %p;
	}
	
	function bottomprintCannonStrength(%client, %amount) //overriting it to center print instead of bottom print
	{
		%per = %amount * 2;
		%maxcounters = 20;
		%foo = %maxcounters - %per;
		%char = "|";for(%a =0; %a<%per; %a++){%fchar = %char @ %fchar;}
		%char2 = "|";for(%b =0; %b<%foo; %b++){%ftchar = %char2 @ %ftchar;}
		centerprint(%client, "<br><br><br><br><br><just:center><color:FF0000>Fire! <color:FFFFFF>:<color:FFFF00>" @ %fchar @ "<color:000000>" @%ftchar, 1);
		return;
	}
	
	function fxDTSBrick::OnActivate(%obj, %player, %client, %pos, %vec) //added bits so treasure chest messages appear in center print
	{
		Parent::OnActivate(%obj, %player, %client, %pos, %vec);
		%data = %obj.getDataBlock();

		if(%data.getid() == brickTreasureChestData.getId())
		{
			%hash = sha1(%obj.getPosition() @ %obj.angleId);
			if(%client.foundTreasureChest_[%hash])
				centerprint(%client, "<just:right>\c3You already opened this treasure chest (" @ %client.numFoundTreasureChests @ " / " @ $TreasureChest::NumChests @ " found)", 2);
		}
	}
	
	function brickTreasureChestData::openTreasureChest(%data ,%obj, %player) //added bits so treasure chest messages appear in center print
	{
		Parent::openTreasureChest(%data ,%obj, %player);
		%client = %player.client;
		if(!isObject(%client))
			return;
		
		if(%client.numFoundTreasureChests >= $TreasureChest::NumChests)
		{
			if($TreasureChest::NumChests == 1)
			{
				centerprint(%client, "<just:right>\c3You found the treasure chest!", 2);
				%elapsedtime = getSimTime() - %client.treasureVictoryTime;
				if(%elapsedTime > 10000)
				{
					%client.treasureVictoryTime = getSimTime();
					messageAll('', "\c3" @ %client.getPlayerName() @ "\c0 found the treasure chest!");
				}
			}
			else
				centerprint(%client, "<just:right>\c3You found all " @ $TreasureChest::NumChests @ " treasure chests!", 2);
		}
		else
			centerprint(%client, "<just:right>\c3You found " @ %client.numFoundTreasureChests @ " / " @ $TreasureChest::NumChests @ " treasure chests!", 2);
	}

	function serverCmdTreasureStatus(%client) //added bits so treasure chest messages appear in center print
	{
		Parent::erverCmdTreasureStatus(%client);
		if($TreasureChest::NumChests == 1)
		{
			if(%client.numFoundTreasureChests >= 1)
				centerprint(%client, "<just:right>\c3You already found the treasure chest", 2);
			else
				centerprint(%client, "<just:right>\c3You haven't found the treasure chest yet", 2);
		}
		else
		{
			if(%client.numFoundTreasureChests >= $TreasureChest::NumChests)
				centerprint(%client, "<just:right>\c3You found all " @ $TreasureChest::NumChests @ " treasure chests!", 2);   
			else
				centerprint(%client, "<just:right>\c3You found " @ %client.numFoundTreasureChests @ " of " @ $TreasureChest::NumChests @ " treasure chests!", 2);   
		}
	}
};
activatePackage(GameModeDeathMatchSupportEdits);