//Title: Deathmatch Player
//Author: piber20
//speed of quake with normal blockland movement. also supports crouch jump
datablock PlayerData(PlayerDeathmatchArmor : PlayerStandardArmor)
{
	runForce = 100 * 90;
	maxForwardSpeed = 15;
	maxBackwardSpeed = 15;
	maxSideSpeed = 15;

	maxForwardCrouchSpeed = 7;
	maxBackwardCrouchSpeed = 7;
	maxSideCrouchSpeed = 7;

	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;

	uiName = "Deathmatch Player";
	showEnergyBar = false;
	
	crouchJummp_heightInPlates = 7;
};

//half-life like
datablock PlayerData(PlayerHalfLifeArmor : PlayerStandardArmor)
{
	runForce = 70 * 90;
	runEnergyDrain = 0;
	minRunEnergy = 0;
	maxForwardSpeed = 10;
	maxBackwardSpeed = 10;
	maxSideSpeed = 10;

	maxForwardCrouchSpeed = 5;
	maxBackwardCrouchSpeed = 5;
	maxSideCrouchSpeed = 5;

	jumpForce = 7 * 90; //8.3 * 90;
	jumpEnergyDrain = 0;
	minJumpEnergy = 0;
	jumpDelay = 0;

	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;

	uiName = "Half-Life-Like Player";
	showEnergyBar = false;

	runSurfaceAngle  = 55;
	jumpSurfaceAngle = 55;
	
	crouchJummp_heightInPlates = 7;
};

//superjump
datablock PlayerData(PlayerSuperjumpArmor : PlayerStandardArmor)
{
	jumpforce = 15 * 150;
	canJet = 0;
	uiName = "Superjump Player";
	showEnergyBar = false;
};

//buff
datablock PlayerData(PlayerBuffArmor : PlayerStandardArmor)
{
	maxDamage = 200;
	canJet = 0;
	uiName = "Buff Player";
	showEnergyBar = false;
};